package com.ruoyi.ems.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物联网实时数据对象 T_W_TempertureData
 *
 * @author Caoql
 * @date 2024-08-21
 */
public class TWTempertureData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objid;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /**计量设备名称**/
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /** 温度 */
    @Excel(name = "温度")
    private BigDecimal tempreture;

    /** 湿度 */
    @Excel(name = "湿度")
    private BigDecimal humidity;

    /** 照度 */
    @Excel(name = "照度")
    private BigDecimal illuminance;

    /** 噪声 */
    @Excel(name = "噪声")
    private BigDecimal noise;

    /** 硫化氢浓度 */
    @Excel(name = "硫化氢浓度")
    private BigDecimal concentration;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recodeTime;

    /** 报警类型 */
    @Excel(name = "报警类型")
    private Long alarmType;

    /**   */
    @Excel(name = " ")
    private Long confirmPersonID;

    /**   */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = " ", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;

    /**   */
    @Excel(name = " ")
    private Long confirmFlag;


    /** 计量设备类型 */
    @Excel(name = "能源类型")
    private Long monitorType;

    /** pm1.0 */
    @Excel(name = "pm1.0")
    private BigDecimal pm1;

    /** pm2.5 */
    @Excel(name = "pm2.5")
    private BigDecimal pm2;

    /** pm10.0 */
    @Excel(name = "pm10.0")
    private BigDecimal pm10;

    /** 粉尘 */
    @Excel(name = "粉尘")
    private BigDecimal standby;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setCollectTime(Date collectTime)
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime()
    {
        return collectTime;
    }
    public void setTempreture(BigDecimal tempreture)
    {
        this.tempreture = tempreture;
    }

    public BigDecimal getTempreture()
    {
        return tempreture;
    }
    public void setHumidity(BigDecimal humidity)
    {
        this.humidity = humidity;
    }

    public BigDecimal getHumidity()
    {
        return humidity;
    }
    public void setIlluminance(BigDecimal illuminance)
    {
        this.illuminance = illuminance;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public BigDecimal getIlluminance()
    {
        return illuminance;
    }
    public void setNoise(BigDecimal noise)
    {
        this.noise = noise;
    }

    public BigDecimal getNoise()
    {
        return noise;
    }
    public void setConcentration(BigDecimal concentration)
    {
        this.concentration = concentration;
    }

    public BigDecimal getConcentration()
    {
        return concentration;
    }
    public void setRecodeTime(Date recodeTime)
    {
        this.recodeTime = recodeTime;
    }

    public Date getRecodeTime()
    {
        return recodeTime;
    }
    public void setAlarmType(Long alarmType)
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType()
    {
        return alarmType;
    }
    public void setConfirmPersonID(Long confirmPersonID)
    {
        this.confirmPersonID = confirmPersonID;
    }

    public Long getConfirmPersonID()
    {
        return confirmPersonID;
    }
    public void setConfirmTime(Date confirmTime)
    {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime()
    {
        return confirmTime;
    }
    public void setConfirmFlag(Long confirmFlag)
    {
        this.confirmFlag = confirmFlag;
    }

    public Long getConfirmFlag()
    {
        return confirmFlag;
    }


    public Long getMonitorType() {
        return monitorType;
    }

    public void setMonitorType(Long monitorType) {
        this.monitorType = monitorType;
    }

    public void setPm1(BigDecimal pm1)
    {
        this.pm1 = pm1;
    }

    public BigDecimal getPm1()
    {
        return pm1;
    }
    public void setPm2(BigDecimal pm2)
    {
        this.pm2 = pm2;
    }

    public BigDecimal getPm2()
    {
        return pm2;
    }
    public void setPm10(BigDecimal pm10)
    {
        this.pm10 = pm10;
    }

    public BigDecimal getPm10()
    {
        return pm10;
    }
    public void setStandby(BigDecimal standby)
    {
        this.standby = standby;
    }

    public BigDecimal getStandby()
    {
        return standby;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("monitorId", getMonitorId())
            .append("collectTime", getCollectTime())
            .append("tempreture", getTempreture())
            .append("humidity", getHumidity())
            .append("illuminance", getIlluminance())
            .append("noise", getNoise())
            .append("concentration", getConcentration())
            .append("recodeTime", getRecodeTime())
            .append("alarmType", getAlarmType())
            .append("confirmPersonID", getConfirmPersonID())
            .append("confirmTime", getConfirmTime())
            .append("confirmFlag", getConfirmFlag())
                .append("monitorType", getMonitorType())
                .append("pm1", getPm1())
                .append("pm2", getPm2())
                .append("pm10", getPm10())
                .append("standby", getStandby())
            .toString();
    }
}
